SUBROUTINE COPYGOM5T0

!     *COPYGOM5T0* - Copy model variables at obs points .

!     Purpose : Copy model equivalents from 5 arrays to 0 arrays
!     ---------

!     Interface : CALL COPYGOM5T0
!     -----------

!     Explicit arguments :  None
!     -------------------- 

!     Implicit arguments : 
!     --------------------

!     Externals : None. Called from CNT4AD.
!     -----------

!     Method : 
!     --------

!     Author : Mats Hamrud *ECMWF*
!     --------

!     Modifications :
!     ---------------
!     97-02-25 Original
!    ERIK ANDERSSON 97-11-14: GOM-variables more flexible
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        M.Hamrud      01-Dec-2003 CY28R1 Cleaning
!    -------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE GOMS_MIX     , ONLY : CPGOM5T0
IMPLICIT NONE

REAL(KIND=JPRB) :: ZHOOK_HANDLE

!           1. Copy model variables for conventional obs operators
IF (LHOOK) CALL DR_HOOK('COPYGOM5T0',0,ZHOOK_HANDLE)
CALL GSTATS(1224,0)
CALL CPGOM5T0
CALL GSTATS(1224,1)

IF (LHOOK) CALL DR_HOOK('COPYGOM5T0',1,ZHOOK_HANDLE)
END SUBROUTINE COPYGOM5T0
